package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-11-16
 * @description : 游戏应用类型
 */
@Data
public class GameCategoryChoiceVO {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id")
    private Long id;

    /**
     * 名称
     */
    @ApiModelProperty(notes = "名称")
    private String name;

    /**
     * 是否父标签
     */
    @ApiModelProperty(notes = "是否父标签")
    private Boolean isParent;

    /**
     * 父分类id
     */
    @ApiModelProperty(notes = "父分类id")
    private Long parentId;
}
