package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-11-09
 * @description : 支付方式选择列表
 */
@Data
public class PayWayChoiceVO {

    /**
     * 支付方式
     */
    @ApiModelProperty(notes = "支付方式id")
    private Long id;

    /**
     * 支付名称
     */
    @ApiModelProperty(notes = "支付名称")
    private String payName;

}
