package com.zanxiang.sdk.domain.dto;

import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2023-01-03
 * @description : 游戏小程序信息
 */
@Data
public class GameAppletDTO {

    /**
     * 主键
     */
    private Long id;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 小程序appId
     */
    private String appId;

    /**
     * 小程序密钥
     */
    private String appSecret;

    /**
     * 小程序原始id
     */
    private String ghId;

    /**
     * 消息推送token
     */
    private String msgPushToken;

    /**
     * 消息推送加密密钥
     */
    private String msgPushEncodingAesKey;
}
