package com.zanxiang.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.common.domain.ResultMap;
import com.zanxiang.mybatis.entity.PayApplication;
import com.zanxiang.sdk.domain.params.MiniAppPayParam;

import javax.servlet.http.HttpServletRequest;

/**
 * 支付商城小程序
 *
 * @author xufeng
 * @date 2022-06-20 15:16
 */
public interface PayApplicationService extends IService<PayApplication> {

    /**
     * 迷你应用程序支付
     *
     * @param payParam 支付参数
     * @param request  请求
     * @return {@link ResultMap}
     */
    ResultMap miniAppPay(MiniAppPayParam payParam, HttpServletRequest request);
}
